Subject: Re: [PATCH 2/2] e1000: remove risky prefetch on next_skb->data

From: Andi Kleen <[email-masked]>
Date: Tue, 6 Jun 2006 02:22:18 +0200

> Bear with me, I'm a software guy :)  I interpret that to mean that the 
> processor is basically broken?  If so, wouldn't it be the case that 
> prefetch() needs to become a noop on that processor?

I would agree with Rick - if prefetch() is broken on Xscale it should be disabled
in the architecture, not in individual drivers. Otherwise all other code
that use it might be broken too.

Maybe it's only broken on MMIO and not normal memory - in that
case introducing a mmio_prefetch() (and defining it as an nop on Xscale) would be also
an option.

-Andi